//+------------------------------------------------------------------+
//|                                              equity_recorder.mq4 |
//|                                                     Bernd Kreuss |
//|                                                    7ibt@arcor.de |
//+------------------------------------------------------------------+
#property copyright "Bernd Kreuss"
#property link      "mailto:7ibt@arcor.de"

#property indicator_chart_window

#include <offline_charts.mqh>

/**
* the following will record 4 equity charts.
* attached to *any* chart (no matter which) this indi will on every tick
* calculated the profits, filter them by magic and comment and write
* them each into their own chart.
*/
int start(){
   // all trading, whole account
   // produce a dayly chart the with name "all" for it
   recordEquity("BALANCE", PERIOD_M15, -1);   
   
   // all manual trading (magic = 0)
   // produce a dayly chart with the name "all_manual" for it
   //recordEquity("all_manual", PERIOD_D1, 0);
   
   // only manual trading with a comment of "foo" in the orders.
   // Note that in this example we use an additional parameter
   // to filter all manual trades by their comment string.
   // It will match all trades beginning with, ending with
   // or containing the word "foo".
   // Produce a dayly chart with the name "fooStrat" for it
   //recordEquity("fooStrat", PERIOD_D1, 0, "foo");
   
   // record the equity of the expert advisor with the magic number of 1234
   // produce an H1 chart with the name "scalperEA" for it
   //recordEquity("scalperEA", PERIOD_H1, 1234);   
}